=== user/Makefile ===
--- 
+++ 
@@ -22,8 +22,6 @@
 CC = gcc
 OPTFLAGS = -O1
 CFLAGS = $(OPTFLAGS) -c -W -Wall -I../drbd
-# for the netlink connector stuff <linux/connector.h>:
-drbdsetup: CFLAGS += -I$(KDIR)/include
 
 drbdadm-obj = drbdadm_scanner.o drbdadm_parser.o drbdadm_main.o \
 	      drbdadm_adjust.o drbdtool_common.o drbdadm_usage_cnt.o \
@@ -89,6 +87,11 @@
 	rm -f $(PREFIX)/sbin/drbdsetup
 	rm -f $(PREFIX)/sbin/drbdadm
 
+spell:
+	for f in drbdadm_adjust.c drbdadm_main.c drbdadm_parser.c drbdadm_usage_cnt.c drbdmeta.c drbdsetup.c drbdtool_common.c; do \
+	 	aspell --save-repl --dont-backup --personal=./../documentation/aspell.en.per check $$f; \
+	done
+
 ###dependencies
 drbdsetup.o:       drbdtool_common.h ../drbd/linux/drbd_limits.h
 drbdsetup.o:       ../drbd/linux/drbd_tag_magic.h ../drbd/linux/drbd.h
