## drbd8 8.3.7

=== drbd/Makefile ===
--- 
+++ 
@@ -26,6 +26,10 @@
 #
 # note: if you get strange make errors when ARCH=um, you
 # probably need to "make mrproper" in the KDIR first...
+
+# The destination "root" directory. Meant to be overridden by
+# packaging scripts.
+DESTDIR ?= /
 
 # since 2.6.16, KERNELRELEASE may be empty,
 # e.g. when building agains some (broken?) linux-header package.
@@ -182,7 +186,6 @@
 	@if ! [ -e $(MODOBJ) ] ; then \
 	  echo "No $(MODOBJ): nothing to install??"; false ; \
 	fi
-# install -d $(DESTDIR)/var/lib/drbd
 	install -d $(DESTDIR)/lib/modules/$(KERNELRELEASE)/$(MODSUBDIR)
 	install -m 644 $(MODOBJ) $(DESTDIR)/lib/modules/$(KERNELRELEASE)/$(MODSUBDIR)
     ifeq ($(DESTDIR),/)
