## drbd8 8.3.11

=== drbd/Makefile ===
--- 
+++ 
@@ -36,19 +36,20 @@
 # Lets test on PATCHLEVEL, that won't change too soon...
 
 ifneq ($(PATCHLEVEL),)
+ ifneq ($(VERSION),3)
   ifneq ($(VERSION),2)
     $(error "won't compile with this kernel version")
   endif
   ifneq ($(PATCHLEVEL),6)
     $(error "won't compile with this kernel version")
   endif
+ endif
 
   CONFIG_BLK_DEV_DRBD := m
-  CONFIG_DRBD_TRACE := $(shell test $${SUBLEVEL} -ge 30 && echo m || echo n)
-
-  include $(DRBDSRC)/Makefile-2.6
-
-  override EXTRA_CFLAGS += -I$(DRBDSRC)
+  CONFIG_DRBD_TRACE := n
+
+  include $(src)/Makefile-2.6
+
   # remember KERNELRELEASE for install target
   # .kernelversion can be included in Makefile as well as
   # sourced from shell
@@ -59,7 +60,7 @@
                   "LOCALVERSION=$(LOCALVERSION)\n"   \
                   "KERNELRELEASE=$(KERNELRELEASE)\n" \
                   "KERNELVERSION=$(KERNELVERSION)"   \
-          > $(DRBDSRC)/.drbd_kernelrelease.new       \
+          > $(src)/.drbd_kernelrelease.new       \
    )
 else
   # called from command line in current directory
@@ -69,7 +70,6 @@
   SHELL=/bin/bash
 
   DRBDSRC := $(shell pwd)
-  export DRBDSRC
 
   # to be overridden on command line:
   PREFIX := /
@@ -114,22 +114,25 @@
 .PHONY: drbd_buildtag.c
 
   drbd_buildtag.c:
-	@is_tarball=`test -e ../.git/. && echo false || echo true`;\
-	set -e; exec > $@.new;							\
+	@set -e; exec > $@.new;							\
 	echo -e "/* automatically generated. DO NOT EDIT. */";			\
 	echo -e "#include <linux/drbd.h>";					\
 	echo -e "const char *drbd_buildtag(void)\n{";				\
-	if $$is_tarball; then							\
-	  if ! test -e $@ ; then 						\
-	  	echo >&2 "your DRBD source tree is broken. unpack again.";	\
+	if test -e ../.git && GITHEAD=$$(git rev-parse HEAD); then		\
+		GITDIFF=$$(cd .. && git diff --name-only HEAD |			\
+			tr -s '\t\n' '  ' |					\
+			sed -e 's/^/ /;s/ *$$//');				\
+		echo -e "\treturn \"GIT-hash: $$GITHEAD$$GITDIFF\"";		\
+	elif ! test -e $@ ; then						\
+		echo >&2 "$@ not found.";					\
+		test -e ../.git &&						\
+		>&2 printf "%s\n"						\
+			"git did not work, but this looks like a git checkout?"	\
+			"Install git and try again." ||				\
+		echo >&2 "Your DRBD source tree is broken. Unpack again.";	\
 		exit 1;								\
-	  fi;									\
-	  grep return $@ ;							\
 	else									\
-	  GITHEAD=$$(git rev-parse HEAD);					\
-	  GITDIFF=$$(cd .. && git diff --name-only HEAD | tr -s '\t\n' '  ' |	\
-	  	sed -e 's/^/ /;s/ *$$//');					\
-	  echo -e "\treturn \"GIT-hash: $$GITHEAD$$GITDIFF\"";	 		\
+		grep return $@ ;						\
 	fi ;									\
 	echo -e "\t\t\" build by $$USER@$$HOSTNAME, `date "+%F %T"`\";\n}";	\
 	mv --force $@.new $@
@@ -137,7 +140,7 @@
   kbuild: drbd_buildtag.c
 	@rm -f .drbd_kernelrelease*
 	-test -f ../scripts/adjust_drbd_config_h.sh && \
-	 KDIR=$(KDIR) O=$(O) $(SHELL) ../scripts/adjust_drbd_config_h.sh
+		KDIR=$(KDIR) O=$(O) $(SHELL) ../scripts/adjust_drbd_config_h.sh
     # previous to 2.6.6 (suse: 2.6.5-dunno), this should be:
 	$(MAKE) -C $(KDIR)  $(if $(O),O=$(O),) SUBDIRS=$(DRBDSRC) $(ARCH_UM) modules
 # $(MAKE) -C $(KDIR) M=$(DRBDSRC) $(ARCH_UM) modules
@@ -179,7 +182,7 @@
     # for VERSION, PATCHLEVEL, SUBLEVEL, EXTRAVERSION, KERNELRELEASE
     include .drbd_kernelrelease
     MODOBJ := drbd.ko
-    MODSUBDIR := kernel/drivers/block
+    MODSUBDIR := updates
     LINUX := $(wildcard /lib/modules/$(KERNELRELEASE)/build)
 
     install:
