=== debian/changelog ===
drbd8 (2:8.3.11-3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 19 Apr 2012 14:59:27 +0000

drbd8 (2:8.3.11-3) unstable; urgency=low

  * Install udev rule into /lib/udev/rules.d instead of /etc
  * Don't invoke make with '-' except for drbd/Makefile
  * Don't complain in prerm about unknown argument upgrade
  * Architecture changed to linux-any
  * build-arch: depend on configure (Closes: #666345)

 -- Philipp Hug <debian@hug.cx>  Fri, 30 Mar 2012 18:52:55 +0200

drbd8 (2:8.3.11-2) unstable; urgency=low

  * Don't create /dev/drbdX in postinst (Closes: #656143)
  * Install drbd.conf.example (Closes: #613872)
  * Define init script as interactive (Closes: #613654)
  * Suggest to use dpkg-statoverride (Closes: #519187)

 -- Philipp Hug <debian@hug.cx>  Tue, 20 Mar 2012 14:52:42 +0100

drbd8 (2:8.3.11-1) unstable; urgency=low

  * New upstream release.
  * Clean some more files
  * Switch to dpkg-source 3.0 (quilt) format
  * Delete config.log, config.status
  * Build-Depend on xsltproc (for documentation) and git (for build-tags)

 -- Philipp Hug <debian@hug.cx>  Tue, 20 Mar 2012 12:12:57 +0100

drbd8 (2:8.3.10-1) unstable; urgency=low

  * New upstream release. (Closes: #635329)
  * Moved to git.debian.org for package maintenance.
  * Removed dpatch

 -- Philipp Hug <debian@hug.cx>  Thu, 28 Jul 2011 16:42:04 +0200

drbd8 (2:8.3.9-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Thu, 13 Jan 2011 15:36:21 +0100

drbd8 (2:8.3.8.1-1) unstable; urgency=low

  * New upstream release. (closes: #590814)
  * Remove no longer required files.
  * Drop docbook-utils from build-dependencies.
  * Drop architecture independant parts.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Sun, 29 Aug 2010 15:57:31 +0200

drbd8 (2:8.3.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use the init script of the 8.3.8.1 release fixing broken LSB headers.
    (closes: #576901)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 15 Jul 2010 14:03:40 +0200

drbd8 (2:8.3.7-2) unstable; urgency=low

  * Drop -source package, now that DRBD is part of the Linux mainline kernel.
    (closes: #573514, #580184)

 -- Norbert Tretkowski <norbert@tretkowski.de>  Thu, 10 Jun 2010 20:29:40 +0200

drbd8 (2:8.3.7-1) unstable; urgency=low

  * New upstream release.
    + Correct dependencies in init.d script. (closes: 547566, #563783)
  * Acknowledge NMU of 2:8.3.4-1.1, thanks Iustin for taking care of this!
    (closes: #499516)
  * Ship scripts/adjust_drbd_config_h.sh and run it before building the kernel
    module. (closes: #551479, #552439)

 -- Norbert Tretkowski <norbert@tretkowski.de>  Mon, 18 Jan 2010 16:29:43 +0100

drbd8 (2:8.3.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix watch file
  * No longer stops the drbd resources on upgrades of the drbd8-utils
    package, since this is not needed and shutdowns must be done by the
    administrator. (closes: #499516)

 -- Iustin Pop <iusty@k1024.org>  Fri, 13 Nov 2009 19:58:29 +0100

drbd8 (2:8.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Fri, 16 Oct 2009 09:18:11 +0200

drbd8 (2:8.3.3~rc3-1) experimental; urgency=low

  * New upstream release candidate.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Tue, 29 Sep 2009 21:43:01 +0200

drbd8 (2:8.3.3~rc2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Wed, 16 Sep 2009 19:17:52 +0200

drbd8 (2:8.3.3~rc1-1) experimental; urgency=low

  * New upstream release candidate.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Mon, 31 Aug 2009 11:44:25 +0200

drbd8 (2:8.3.2-3) unstable; urgency=low

  * Drop DKMS support for now, to get the package back into testing. 
    (closes: #537986, #539218, #539219)

 -- Norbert Tretkowski <norbert@tretkowski.de>  Sun, 16 Aug 2009 12:23:59 +0200

drbd8 (2:8.3.2-2) unstable; urgency=low

  * Switch to DKMS, patch from Ante Karamatić (Ubuntu).

 -- Norbert Tretkowski <norbert@tretkowski.de>  Tue, 21 Jul 2009 20:17:47 +0200

drbd8 (2:8.3.2-1) unstable; urgency=low

  * New upstream release.
  * Section of drbd8-source is kernel.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Mon, 06 Jul 2009 21:17:28 +0200

drbd8 (2:8.3.2~rc2-1) unstable; urgency=low

  * New upstream release candidate.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Sat, 27 Jun 2009 16:28:20 +0200

drbd8 (2:8.3.2~rc1-1) unstable; urgency=low

  * New upstream release candidate.
    + Make it compile on Linux 2.6.30. (closes: #533261, #533654)
  * Update Standards-Version to 3.8.2, no changes required.
  * Fix maintainer-script-ignores-errors lintian warning.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Mon, 22 Jun 2009 20:52:22 +0200

drbd8 (2:8.3.1-2) unstable; urgency=medium

  * Added a new patch from Michael Prokop to fix build with kernel 2.6.28 and
    older. (closes: #522891)

 -- Norbert Tretkowski <norbert@tretkowski.de>  Fri, 03 Apr 2009 19:54:44 +0200

drbd8 (2:8.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Fri, 27 Mar 2009 14:16:36 +0100

drbd8 (2:8.3.1~rc2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Thu, 26 Mar 2009 10:52:06 +0100

drbd8 (2:8.3.1~rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Drop patch 10_lsb-init-script.dpatch, merged upstream.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Tue, 17 Mar 2009 16:38:52 +0100

drbd8 (2:8.3.0-3) unstable; urgency=low

  [ Martin G. Loschwitz ]
  * Sigh. Remove SVN-Files from debian-diff file.

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 11 Mar 2009 17:46:00 +0100

drbd8 (2:8.3.0-2) unstable; urgency=low

  [ Norbert Tretkowski ]
  * Package is now team-maintained.
  * Use dpatch for patch management.

