=== debian/changelog ===
drbd8 (2:8.4.3-0ubuntu0.12.04.2) precise-proposed; urgency=low

  * d/p/ubuntu-fix-drbdsetup-legacy-path.patch
    Test kernel module version and run the legacy drbdsetup early if
    it is lower than 8.4. Also do not try to be smart about paths for
    the legacy command (newer upstream versions do the same) (LP: #1314289).
  * d/p/ubuntu-compat83-init-script.patch:
    Fix service stop to shut down the resources (LP: #1314289).
  * d/p/ubuntu-compat83-ocf-script.patch:
    Fix pacemaker/corosync startup when running compat mode (LP: #1314289).
  * d/p/ubuntu-fix-drbdadm-version-check.patch:
    Fix compat mode when DRBD_DONT_WARN_ON_VERSION_MISMATCH is set
    (LP: #1314598)
  * d/rules: Create soft-links for compat binaries in /sbin to work
    around the tools looking for compat binaries in their own path
    when called with full path (LP: #1314289).

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 30 Apr 2014 15:20:23 +0200

drbd8 (2:8.4.3-0ubuntu0.12.04.1) precise; urgency=low

  * Backport version from 13.04 so that the utils will handle the
    changed in-kernel drbd module from the LTS Raring kernel
    (LP: #1185756).
  * Activate legacy command support by adding --with-legacy_utils to
    debian/rules.
  * Comment out "options" section in global_common.conf as testing
    showed problems in the backport.
  * Forward port the adjust_with_progress shell function from older
    versions of the utils and add the path to legacy utils to PATH.
  * Adjust legacy version to 8.3.11 as the code looks to be at least
    that version or later.

 -- Stefan Bader <stefan.bader@canonical.com>  Sat, 21 Sep 2013 18:40:51 -0500

drbd8 (2:8.4.3-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Works against 3.8 kernel (LP: #1132302).
  * Dropped patches:
    - 0001-init-interactive-debian-613654.patch: applied upstream.
    - disable-default-handlers: all default handlers now appear to ship
      disabled from upstream.

 -- Robie Basak <robie.basak@canonical.com>  Tue, 26 Feb 2013 13:24:44 +0000
