=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: drbd8
 Section: admin
 Priority: extra
-Maintainer: Debian DRBD Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian DRBD Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Norbert Tretkowski <norbert@tretkowski.de>, Martin Loschwitz <madkiss@debian.org>, Philipp Hug <debian@hug.cx>
 Build-Depends: debhelper (>= 5), debconf-utils, bison, flex, bzip2, xsltproc, git
 Standards-Version: 3.9.1
