=== debian/rules ===
--- 
+++ 
@@ -74,7 +74,7 @@
 
 configure: configure-stamp
 configure-stamp:
-	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr --localstatedir=/var --sysconfdir=/etc --with-utils --with-udev --with-xen --with-pacemaker --with-rgmanager --with-bashcompletion
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr --localstatedir=/var --sysconfdir=/etc --with-utils --with-udev --with-xen --with-pacemaker --with-rgmanager --with-bashcompletion --with-legacy_utils
 
 build: configure build-arch
 
@@ -114,6 +114,14 @@
 
 	$(MAKE) DESTDIR=$(CURDIR)/debian/drbd8-utils/ install
 	dh_install --source=debian/drbd8-utils --list-missing -s
+
+	# Create soft-links for the compat binaries to work around commands
+	# searching for the same path only for compat binaries when called
+	# with a full path.
+	ln -s ../lib/drbd/drbdadm-83 \
+		$(CURDIR)/debian/drbd8-utils/sbin/drbdadm-83
+	ln -s ../lib/drbd/drbdsetup-83 \
+		$(CURDIR)/debian/drbd8-utils/sbin/drbdsetup-83
 
 	# Move udev rule to /lib/udev/rules.d (Fixes lintian warning)
 	mkdir -p $(CURDIR)/debian/drbd8-utils/lib/udev/
