=== debian/watch ===
version=3
http://oss.linbit.com/drbd/ 8.4/drbd-(.*).tar.gz
